%option yylineno
%option noyywrap
%option nounput
%option noyy_top_state
%option never-interactive

%{

#include "p.tab.h"

%}


UPPERIDENTIFIER [A-Z][A-Za-z0-9]*

LOWERIDENTIFIER [a-z][A-Za-z0-9]*


%% /* ***************** rules ************************* */

" \t\n"

";" {return ';';}

"," {return ',';}

"FROM" {return KW_FROM;}
"IMPORTS" {return KW_IMPORTS;}
"NOTUSED" {return KW_NOTUSED;}

{LOWERIDENTIFIER} {
  return TOK_LowerIdentifier;
}

{UPPERIDENTIFIER} {
  return TOK_UpperIdentifier;
}

<<EOF>> {
  return 0;
}

